using System;
using System.Collections;
using System.ComponentModel;
using DevExpress.XtraReports.UI;
using BeWo.Report.ReportObjects;
using BeWo.Report;
using System.Collections.Generic;

namespace SkmRheydt
{
    public partial class Stundenzettel : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<ServicesOverviewRO>
    {
        public Stundenzettel()
        {
            InitializeComponent();
        }

        public void SetReportDataSource(ServicesOverviewRO pRO)
        {
	        DateTime dt;
	        TimeSpan tspan;
	        double d;

			if (pRO.Services != null)
			{
				List<ServicesOverviewRO.ServiceDetail> servicesBillable = new List<ServicesOverviewRO.ServiceDetail>();

				foreach (ServicesOverviewRO.ServiceDetail s in pRO.Services)
				{
					if (s.IsBillable)
					{
					    if (s.IsGroup)
					    {
					        s.ServiceCategoryAbbr = "G";
					    }
					    else
					    {
                            s.ServiceCategoryAbbr = "E";
                        }
						servicesBillable.Add(s);
					}
					
				}

				pRO.Services = servicesBillable;
			}
            

            this.bindingSource1.DataSource = pRO;
        }
    }
}
